<?php

    namespace MNM\Spitzner\Console;

    use Symfony\Component\Console\Command\Command;
    use Symfony\Component\Console\Input\InputInterface;
    use Symfony\Component\Console\Input\InputOption;
    use Symfony\Component\Console\Output\OutputInterface;
    use MNM\Spitzner\Cron\ExportOrders as ExportOrdersCron;

    /**
     * Class SomeCommand
     */
    class ExportOrders extends Command
    {
        protected $export;

        public function __construct(ExportOrdersCron $export)
        {
            $this->export = $export;

            parent::__construct();
        }
        /**
         * @inheritDoc
         */
        protected function configure()
        {
            $this->setName('spitzner:export');
            $this->setDescription('Run order export export.');

            parent::configure();
        }

        /**
         * Execute the command
         *
         * @param InputInterface $input
         * @param OutputInterface $output
         *
         * @return null|int
         */
        protected function execute(InputInterface $input, OutputInterface $output)
        {
            $this->export->execute();/*

            $output->writeln('<info>Success Message.</info>');
            $output->writeln('<error>An error encountered.</error>');
            $output->writeln('<comment>Some Comment.</comment>');*/
        }
    }
